Summary:	Dic is a simple, console-based disk catalogizer
Summary(hu.UTF-8):	Dic egy egyszerű, konzolos lemez katalogizáló
Name:		dic
Version:	0.7
Release:	9
License:	GPL v2
Group:		Applications
Source0:	http://downloads.sourceforge.net/dic/%{name}-%{version}.tar.bz2
# Source0-md5:	c604751a05298dad2492189e1f31ec21
Source1:	%{name}-bash-completion
URL:		http://dic.sourceforge.net/
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dic is a simple, console-based disk catalogizer. It can easily add
disks to the catalog, search in the catalog, search for files,
automatically retrieve found files without requiring you to manually
navigate through the source media, and more.

%description -l hu.UTF-8
Dic egy egyszerű, konzolos lemez katalogizáló. Könnyen adhatsz új
lemezeket a katalógushoz, kereshetsz a katalógusban, fájlok után,
automatikusan átmásolhatod a fájlokat kézi navigálás nélkül, stb.

%package -n mc-plugin-dic
Summary:	Extfs plugin for Midnight Commander
Summary(hu.UTF-8):	Extfs plugin Midnight Commander-hez
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	mc
Obsoletes:	dic-dic

%description -n mc-plugin-dic
Extfs plugin for Midnight Commander. In the running Midnight Commander
type "cd #mcdic".

%description -n mc-plugin-dic -l hu.UTF-8
Extfs plugin Midnight Commander-hez. A futó Midnight Commander-ben
gépeld be a "cd #mcdic" sort!

%package -n bash-completion-%{name}
Summary:	bash-completion to dic
Summary(hu.UTF-8):	Bash automatikus kiegészítés dic-hez
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n bash-completion-%{name}
Bash-completion to dic.

%description -n bash-completion-%{name} -l hu.UTF-8
Bash automatikus kiegészítés dic-hez.

%prep
%setup -q

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

install -d $RPM_BUILD_ROOT%{_mandir}/man{1,5}
cp -a man/dic.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a man/dic.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

install -d $RPM_BUILD_ROOT%{_libexecdir}/mc/extfs.d
install -p build-2/scripts-2.7/mcdic $RPM_BUILD_ROOT%{_libexecdir}/mc/extfs.d

install -d $RPM_BUILD_ROOT/etc/bash_completion.d
cp -a %{SOURCE1} $RPM_BUILD_ROOT/etc/bash_completion.d/dic

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_sysconfdir}/dic
%{_mandir}/man1/dic.1.*
%{_mandir}/man5/dic.conf.5.*
%{_sysconfdir}/dic/*
%attr(755,root,root) %{_bindir}/*dic
%{py_sitescriptdir}/*

%files -n mc-plugin-dic
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/mc/extfs.d/mcdic

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
/etc/bash_completion.d/%{name}
%changelog
* Mon Feb 12 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dic.git;a=log;h=master

* Mon Feb 12 2018 Jan Rękorajski <baggins@pld-linux.org> 3501ba1
- fix install
- rel 9

* Mon Feb 12 2018 Jan Rękorajski <baggins@pld-linux.org> 2e6a604
- mc plugins in libexec
- rel 8

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> fd5ee28
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0a017ec
- automatic change: use py_build/py_install macros

* Sat Mar 15 2014 Elan Ruusamäe <glen@delfi.ee> 4563341
- noarch bash completions

* Thu Jul 15 2010 Elan Ruusamäe <glen@pld-linux.org> 40c8639
- python epoch

* Thu Jul 15 2010 Zsolt Udvari <uzsolt@pld-linux.org> b95c442
- make compatible with python 2.7
- rel 7

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8edf228
- release 6

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d30f037
- release 5

* Mon Apr 12 2010 Zsolt Udvari <uzsolt@pld-linux.org> 9173edc
- remove noarch build (mc plugin placed to libdir/mc)
- rel 4

* Sun Apr 11 2010 Zsolt Udvari <uzsolt@pld-linux.org> 2ff4a3b
- rename mc subpackage to mc-plugin-dic
- mcextfs plugin placed to libdir/mc/extfs.d
- 'post mc' unneeded
- rel up

* Sun Feb 28 2010 Zsolt Udvari <uzsolt@pld-linux.org> 7ed6058
- mc subpackage requires dic

* Sun Aug 09 2009 Elan Ruusamäe <glen@pld-linux.org> ee097a9
- unify bash-completion package name
- strict internal deps

* Fri Aug 07 2009 Zsolt Udvari <uzsolt@pld-linux.org> e8de3c5
- initial

* Fri Aug 07 2009 Zsolt Udvari <uzsolt@pld-linux.org> e174f4a
- bash-completion subpackage

* Thu Jul 23 2009 Zsolt Udvari <uzsolt@pld-linux.org> 2985e99
- noarch build
- removed mc todo
- rel 2

* Thu Jul 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 1bedbe1
- %post fix

* Wed Jul 22 2009 Zsolt Udvari <uzsolt@pld-linux.org> f93f86c
- %post mc
- verbose description to mc subpackage

* Tue Jul 21 2009 Zsolt Udvari <uzsolt@pld-linux.org> 887588e
- mc subpackage
- mc-specific todo
- rel 1.5

* Wed Jul 15 2009 Zsolt Udvari <uzsolt@pld-linux.org> 657c88a
- rel 1 (works for me)
- bash completion todo

